
From: NeilBrown <neilb@suse.de>

On reflection, a better default location for hot-adding bitmaps with version-1
superblocks is immediately after the superblock.  There might not be much room
there, but there is usually atleast 3k, and that is a good start.

Signed-off-by: Neil Brown <neilb@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/md/md.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/md/md.c~md-choose-better-default-offset-for-bitmap drivers/md/md.c
--- devel/drivers/md/md.c~md-choose-better-default-offset-for-bitmap	2005-09-01 23:48:05.000000000 -0700
+++ devel-akpm/drivers/md/md.c	2005-09-01 23:48:05.000000000 -0700
@@ -957,8 +957,7 @@ static int super_1_validate(mddev_t *mdd
 		mddev->events = le64_to_cpu(sb->events);
 		mddev->bitmap_offset = 0;
 		mddev->default_bitmap_offset = 0;
-		if (mddev->minor_version == 0)
-			mddev->default_bitmap_offset = -(64*1024)/512;
+		mddev->default_bitmap_offset = 1024;
 		
 		mddev->recovery_cp = le64_to_cpu(sb->resync_offset);
 		memcpy(mddev->uuid, sb->set_uuid, 16);
_
